WuKongIM Docs

重试未解析会话

编辑此页报告文档问题

接口边界

  • 调用方:仅限受信业务后端
  • 作用域:只重新解析上一轮 unresolved 中的最多 200 个 Channel Key,不替代 list 的完整游标扫描。
POST/conversation/retry

重新 hydrate 最多 200 个 Key,不回退已完成 coverage;重复 Key 会合并。

请求主体

application/json

要重新解析的有界会话 Key 集合。

TypeScript 定义

在 TypeScript 中使用 request body 类型。

未解析会话的有界重试参数。

响应主体

application/json

application/json

application/json

{  "conversations": [    {      "channel_id": "string",      "channel_type": 1,      "active_at": 0,      "read_seq": 0,      "deleted_to_seq": 0,      "unread": 0,      "last_message": {        "message_id": 0,        "message_idstr": "string",        "message_seq": 0,        "from_uid": "string",        "client_msg_no": "string",        "server_timestamp_ms": 0,        "payload": "string"      }    }  ],  "deletes": [    {      "channel_id": "string",      "channel_type": 1    }  ],  "unresolved": [    {      "channel_id": "string",      "channel_type": 1    }  ],  "next_cursor": "string",  "done": true,  "coverage": 0,  "tombstones_retained_since": 0,  "reset_required": true}